Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Stupid me. Using rand to generate the datatest is not very wise...
[simgrid.git] / configure
index 69ad6a9..7e7f79e 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.ac Revision: 1.8 .
+# From configure.ac Revision: 1.9 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for GRAS 0.0.040304.
+# Generated by GNU Autoconf 2.59 for GRAS 0.0.1.
 #
 # Report bugs to <martin.quinson@ens-lyon.fr>.
 #
@@ -424,8 +424,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='GRAS'
 PACKAGE_TARNAME='gras'
-PACKAGE_VERSION='0.0.040304'
-PACKAGE_STRING='GRAS 0.0.040304'
+PACKAGE_VERSION='0.0.1'
+PACKAGE_STRING='GRAS 0.0.1'
 PACKAGE_BUGREPORT='martin.quinson@ens-lyon.fr'
 
 ac_unique_file="src/include/gras.h"
@@ -466,7 +466,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS HTML_DIR PKG_CONFIG ENABLE_GTK_DOC_TRUE ENABLE_GTK_DOC_FALSE GTK_DOC_USE_LIBTOOL_TRUE GTK_DOC_USE_LIBTOOL_FALSE ACI_CACHE_PROG aci_module_desc_XML aci_pkg_config_XML HAVE_XML CFLAGS_XML LIBS_XML aci_module_desc_SimGrid aci_pkg_prefix_SimGrid aci_pkg_inc_SimGrid aci_pkg_lib_SimGrid aci_pkg_extra_SimGrid HAVE_SimGrid CFLAGS_SimGrid LIBS_SimGrid MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT cflags_set BASH WARNING LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS HTML_DIR PKG_CONFIG ENABLE_GTK_DOC_TRUE ENABLE_GTK_DOC_FALSE GTK_DOC_USE_LIBTOOL_TRUE GTK_DOC_USE_LIBTOOL_FALSE ACI_CACHE_PROG aci_module_desc_XML aci_pkg_config_XML HAVE_XML CFLAGS_XML LIBS_XML aci_module_desc_SimGrid aci_pkg_prefix_SimGrid aci_pkg_inc_SimGrid aci_pkg_lib_SimGrid aci_pkg_extra_SimGrid HAVE_SimGrid CFLAGS_SimGrid LIBS_SimGrid HAVE_SG_TRUE HAVE_SG_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT cflags_set BASH WARNING LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -955,7 +955,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures GRAS 0.0.040304 to adapt to many kinds of systems.
+\`configure' configures GRAS 0.0.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1022,7 +1022,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of GRAS 0.0.040304:";;
+     short | recursive ) echo "Configuration of GRAS 0.0.1:";;
    esac
   cat <<\_ACEOF
 
@@ -1035,12 +1035,12 @@ Optional Features:
                           build static libraries [default=yes]
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
-  --disable-dependency-tracking Speeds up one-time builds
-  --enable-dependency-tracking  Do not reject slow dependency extractors
+  --disable-dependency-tracking  speeds up one-time build
+  --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
   --enable-gtk-doc        use gtk-doc to build documentation default=no
-  --enable-maintainer-mode enable make rules and dependencies not useful
-                          (and sometimes confusing) to the casual installer
+  --enable-maintainer-mode  enable make rules and dependencies not useful
+                         (and sometimes confusing) to the casual installer
   --enable-compile-warnings=no/minimum/yes       Turn on compiler warnings.
   --enable-iso-c          Try to warn if code is not ISO C
 
@@ -1176,7 +1176,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-GRAS configure 0.0.040304
+GRAS configure 0.0.1
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1190,7 +1190,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by GRAS $as_me 0.0.040304, which was
+It was created by GRAS $as_me 0.0.1, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1645,7 +1645,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
           ac_config_headers="$ac_config_headers src/gras_config.h"
 
-am__api_version="1.7"
+am__api_version="1.8"
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
 # incompatible versions:
@@ -1783,7 +1783,6 @@ _ACEOF
 program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
 rm conftest.sed
 
-
 # expand $ac_aux_dir to an absolute path
 am_aux_dir=`cd $ac_aux_dir && pwd`
 
@@ -1797,6 +1796,31 @@ else
 echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
 fi
 
+if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
+  # Keeping the `.' argument allows $(mkdir_p) to be used without
+  # argument.  Indeed, we sometimes output rules like
+  #   $(mkdir_p) $(somedir)
+  # where $(somedir) is conditionally defined.
+  # (`test -n '$(somedir)' && $(mkdir_p) $(somedir)' is a more
+  # expensive solution, as it forces Make to start a sub-shell.)
+  mkdir_p='mkdir -p -- .'
+else
+  # On NextStep and OpenStep, the `mkdir' command does not
+  # recognize any option.  It will interpret all options as
+  # directories to create, and then abort because `.' already
+  # exists.
+  for d in ./-p ./--version;
+  do
+    test -d $d && rmdir $d
+  done
+  # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
+  if test -f "$ac_aux_dir/mkinstalldirs"; then
+    mkdir_p='$(mkinstalldirs)'
+  else
+    mkdir_p='$(install_sh) -d'
+  fi
+fi
+
 for ac_prog in gawk mawk nawk awk
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -1875,7 +1899,7 @@ else
 fi
 rmdir .tst 2>/dev/null
 
- # test to see if srcdir already configured
+# test to see if srcdir already configured
 if test "`cd $srcdir && pwd`" != "`pwd`" &&
    test -f $srcdir/config.status; then
   { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
@@ -1895,7 +1919,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='gras'
- VERSION='0.0.040304'
+ VERSION='0.0.1'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3124,7 +3148,9 @@ else
     : > sub/conftest.c
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      : > sub/conftst$i.h
+      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
+      # Solaris 8's {/usr,}/bin/sh.
+      touch sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
 
@@ -3152,9 +3178,14 @@ else
        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
       # icc doesn't choke on unknown options, it will just issue warnings
-      # (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored.
-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+      # or remarks (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored or not supported.
+      # When given -MP, icc 7.0 and 7.1 complain thusly:
+      #   icc: Command line warning: ignoring option '-M'; no argument required
+      # The diagnosis changed in icc 8.0:
+      #   icc: Command line remark: option '-MP' not supported
+      if (grep 'ignoring option' conftest.err ||
+          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
         am_cv_CC_dependencies_compiler_type=$depmode
         break
       fi
@@ -3658,7 +3689,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3661 "configure"' > conftest.$ac_ext
+  echo '#line 3692 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4831,7 +4862,9 @@ else
     : > sub/conftest.c
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      : > sub/conftst$i.h
+      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
+      # Solaris 8's {/usr,}/bin/sh.
+      touch sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
 
@@ -4859,9 +4892,14 @@ else
        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
       # icc doesn't choke on unknown options, it will just issue warnings
-      # (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored.
-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+      # or remarks (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored or not supported.
+      # When given -MP, icc 7.0 and 7.1 complain thusly:
+      #   icc: Command line warning: ignoring option '-M'; no argument required
+      # The diagnosis changed in icc 8.0:
+      #   icc: Command line remark: option '-MP' not supported
+      if (grep 'ignoring option' conftest.err ||
+          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
         am_cv_CXX_dependencies_compiler_type=$depmode
         break
       fi
@@ -5215,7 +5253,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5218:" \
+echo "$as_me:5256:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6247,11 +6285,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6250: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6288: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6254: \$? = $ac_status" >&5
+   echo "$as_me:6292: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6480,11 +6518,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6483: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6521: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6487: \$? = $ac_status" >&5
+   echo "$as_me:6525: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6540,11 +6578,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6543: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6581: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6547: \$? = $ac_status" >&5
+   echo "$as_me:6585: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8716,7 +8754,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8719 "configure"
+#line 8757 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8814,7 +8852,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8817 "configure"
+#line 8855 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10991,11 +11029,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10994: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11032: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10998: \$? = $ac_status" >&5
+   echo "$as_me:11036: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11051,11 +11089,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11054: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11092: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11058: \$? = $ac_status" >&5
+   echo "$as_me:11096: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12408,7 +12446,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12411 "configure"
+#line 12449 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12506,7 +12544,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12509 "configure"
+#line 12547 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13333,11 +13371,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13336: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13374: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13340: \$? = $ac_status" >&5
+   echo "$as_me:13378: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13393,11 +13431,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13396: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13434: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13400: \$? = $ac_status" >&5
+   echo "$as_me:13438: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15426,11 +15464,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15429: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15467: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15433: \$? = $ac_status" >&5
+   echo "$as_me:15471: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15659,11 +15697,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15662: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15700: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15666: \$? = $ac_status" >&5
+   echo "$as_me:15704: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15719,11 +15757,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15722: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15760: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15726: \$? = $ac_status" >&5
+   echo "$as_me:15764: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17895,7 +17933,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17898 "configure"
+#line 17936 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17993,7 +18031,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17996 "configure"
+#line 18034 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19778,7 +19816,9 @@ else
     : > sub/conftest.c
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      : > sub/conftst$i.h
+      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
+      # Solaris 8's {/usr,}/bin/sh.
+      touch sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
 
@@ -19806,9 +19846,14 @@ else
        grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
       # icc doesn't choke on unknown options, it will just issue warnings
-      # (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored.
-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+      # or remarks (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored or not supported.
+      # When given -MP, icc 7.0 and 7.1 complain thusly:
+      #   icc: Command line warning: ignoring option '-M'; no argument required
+      # The diagnosis changed in icc 8.0:
+      #   icc: Command line remark: option '-MP' not supported
+      if (grep 'ignoring option' conftest.err ||
+          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
         am_cv_CC_dependencies_compiler_type=$depmode
         break
       fi
@@ -20202,14 +20247,22 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 
 
-unspecif=$ac_cv_sizeof_char
-if test x$unspecif = x ; then
+if test x$ac_cv_sizeof_char = x ; then
   { { echo "$as_me:$LINENO: error: cannot determine a size for char" >&5
 echo "$as_me: error: cannot determine a size for char" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
+echo "${ECHO_T}$ac_cv_sizeof_char" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_CHAR $ac_cv_sizeof_char
+_ACEOF
 
-    if test "${ac_cv_sizeof_signed_char+set}" = set; then
+
+echo "$as_me:$LINENO: checking size of short int" >&5
+echo $ECHO_N "checking size of short int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_short_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20226,7 +20279,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (signed char) == $ac_size):;
+switch (0) case 0: case (sizeof (short int) == $ac_size):;
   ;
   return 0;
 }
@@ -20252,32 +20305,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_char=$ac_size
+  ac_cv_sizeof_short_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_char != x ; then break; fi
+   if test x$ac_cv_sizeof_short_int != x ; then break; fi
   done
 
 fi
 
 
-signed=$ac_cv_sizeof_signed_char
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed char" >&5
-echo "$as_me: error: cannot determine a size for signed char" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed char' and 'char' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed char' and 'char' have different sizes ! ($signed != $unspecif)" >&2;}
+if test x$ac_cv_sizeof_short_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for short int" >&5
+echo "$as_me: error: cannot determine a size for short int" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_short_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_short_int" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_SHORT_INT $ac_cv_sizeof_short_int
+_ACEOF
 
-    if test "${ac_cv_sizeof_unsigned_char+set}" = set; then
+
+echo "$as_me:$LINENO: checking size of int" >&5
+echo $ECHO_N "checking size of int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20294,7 +20350,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (unsigned char) == $ac_size):;
+switch (0) case 0: case (sizeof (int) == $ac_size):;
   ;
   return 0;
 }
@@ -20320,42 +20376,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_char=$ac_size
+  ac_cv_sizeof_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_char != x ; then break; fi
+   if test x$ac_cv_sizeof_int != x ; then break; fi
   done
 
 fi
 
 
-unsigned=$ac_cv_sizeof_unsigned_char
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned char" >&5
-echo "$as_me: error: cannot determine a size for unsigned char" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed char' and 'unsigned char' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed char' and 'unsigned char' have different sizes ! ($signed != $unsigned)" >&2;}
+if test x$ac_cv_sizeof_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for int" >&5
+echo "$as_me: error: cannot determine a size for int" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_char" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_char" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_int" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_CHAR $ac_cv_sizeof_unsigned_char
+#define SIZEOF_INT $ac_cv_sizeof_int
 _ACEOF
 
 
-echo "$as_me:$LINENO: checking size of short int" >&5
-echo $ECHO_N "checking size of short int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_short_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of long int" >&5
+echo $ECHO_N "checking size of long int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_long_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20372,7 +20421,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (short int) == $ac_size):;
+switch (0) case 0: case (sizeof (long int) == $ac_size):;
   ;
   return 0;
 }
@@ -20398,27 +20447,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_short_int=$ac_size
+  ac_cv_sizeof_long_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_short_int != x ; then break; fi
+   if test x$ac_cv_sizeof_long_int != x ; then break; fi
   done
 
 fi
 
 
-unspecif=$ac_cv_sizeof_short_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for short int" >&5
-echo "$as_me: error: cannot determine a size for short int" >&2;}
+if test x$ac_cv_sizeof_long_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for long int" >&5
+echo "$as_me: error: cannot determine a size for long int" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_long_int" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_LONG_INT $ac_cv_sizeof_long_int
+_ACEOF
+
 
-    if test "${ac_cv_sizeof_signed_short_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of long long int" >&5
+echo $ECHO_N "checking size of long long int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_long_long_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20435,7 +20492,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (signed short int) == $ac_size):;
+switch (0) case 0: case (sizeof (long long int) == $ac_size):;
   ;
   return 0;
 }
@@ -20461,32 +20518,37 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_short_int=$ac_size
+  ac_cv_sizeof_long_long_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_short_int != x ; then break; fi
+   if test x$ac_cv_sizeof_long_long_int != x ; then break; fi
   done
 
 fi
 
 
-signed=$ac_cv_sizeof_signed_short_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed short int" >&5
-echo "$as_me: error: cannot determine a size for signed short int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed short int' and 'short int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed short int' and 'short int' have different sizes ! ($signed != $unspecif)" >&2;}
+if test x$ac_cv_sizeof_long_long_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for long long int" >&5
+echo "$as_me: error: cannot determine a size for long long int" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_long_long_int" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_LONG_LONG_INT $ac_cv_sizeof_long_long_int
+_ACEOF
+
+
+
 
-    if test "${ac_cv_sizeof_unsigned_short_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of void *" >&5
+echo $ECHO_N "checking size of void *... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_void_p+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20503,7 +20565,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (unsigned short int) == $ac_size):;
+switch (0) case 0: case (sizeof (void *) == $ac_size):;
   ;
   return 0;
 }
@@ -20529,42 +20591,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_short_int=$ac_size
+  ac_cv_sizeof_void_p=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_short_int != x ; then break; fi
+   if test x$ac_cv_sizeof_void_p != x ; then break; fi
   done
 
 fi
 
 
-unsigned=$ac_cv_sizeof_unsigned_short_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned short int" >&5
-echo "$as_me: error: cannot determine a size for unsigned short int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed short int' and 'unsigned short int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed short int' and 'unsigned short int' have different sizes ! ($signed != $unsigned)" >&2;}
+if test x$ac_cv_sizeof_void_p = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for void *" >&5
+echo "$as_me: error: cannot determine a size for void *" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_short_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_short_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_void_p" >&5
+echo "${ECHO_T}$ac_cv_sizeof_void_p" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SHORT_INT $ac_cv_sizeof_unsigned_short_int
+#define SIZEOF_VOID_P $ac_cv_sizeof_void_p
 _ACEOF
 
 
-echo "$as_me:$LINENO: checking size of int" >&5
-echo $ECHO_N "checking size of int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of void (*) (void)" >&5
+echo $ECHO_N "checking size of void (*) (void)... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_void_LpR_LvoidR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20581,7 +20636,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (int) == $ac_size):;
+switch (0) case 0: case (sizeof (void (*) (void)) == $ac_size):;
   ;
   return 0;
 }
@@ -20607,27 +20662,36 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_int=$ac_size
+  ac_cv_sizeof_void_LpR_LvoidR=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_int != x ; then break; fi
+   if test x$ac_cv_sizeof_void_LpR_LvoidR != x ; then break; fi
   done
 
 fi
 
 
-unspecif=$ac_cv_sizeof_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for int" >&5
-echo "$as_me: error: cannot determine a size for int" >&2;}
+if test x$ac_cv_sizeof_void_LpR_LvoidR = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for void (*) (void)" >&5
+echo "$as_me: error: cannot determine a size for void (*) (void)" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_void_LpR_LvoidR" >&5
+echo "${ECHO_T}$ac_cv_sizeof_void_LpR_LvoidR" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_VOID__P___VOID_ $ac_cv_sizeof_void_LpR_LvoidR
+_ACEOF
+
+
 
-    if test "${ac_cv_sizeof_signed_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of float" >&5
+echo $ECHO_N "checking size of float... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_float+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20644,7 +20708,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (signed int) == $ac_size):;
+switch (0) case 0: case (sizeof (float) == $ac_size):;
   ;
   return 0;
 }
@@ -20670,32 +20734,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_int=$ac_size
+  ac_cv_sizeof_float=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_int != x ; then break; fi
+   if test x$ac_cv_sizeof_float != x ; then break; fi
   done
 
 fi
 
 
-signed=$ac_cv_sizeof_signed_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed int" >&5
-echo "$as_me: error: cannot determine a size for signed int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed int' and 'int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed int' and 'int' have different sizes ! ($signed != $unspecif)" >&2;}
+if test x$ac_cv_sizeof_float = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for float" >&5
+echo "$as_me: error: cannot determine a size for float" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_float" >&5
+echo "${ECHO_T}$ac_cv_sizeof_float" >&6
+
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_FLOAT $ac_cv_sizeof_float
+_ACEOF
+
 
-    if test "${ac_cv_sizeof_unsigned_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of double" >&5
+echo $ECHO_N "checking size of double... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_double+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20712,7 +20779,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (unsigned int) == $ac_size):;
+switch (0) case 0: case (sizeof (double) == $ac_size):;
   ;
   return 0;
 }
@@ -20738,59 +20805,72 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_int=$ac_size
+  ac_cv_sizeof_double=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_int != x ; then break; fi
+   if test x$ac_cv_sizeof_double != x ; then break; fi
   done
 
 fi
 
 
-unsigned=$ac_cv_sizeof_unsigned_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned int" >&5
-echo "$as_me: error: cannot determine a size for unsigned int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed int' and 'unsigned int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed int' and 'unsigned int' have different sizes ! ($signed != $unsigned)" >&2;}
+if test x$ac_cv_sizeof_double = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for double" >&5
+echo "$as_me: error: cannot determine a size for double" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_double" >&5
+echo "${ECHO_T}$ac_cv_sizeof_double" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_INT $ac_cv_sizeof_unsigned_int
+#define SIZEOF_DOUBLE $ac_cv_sizeof_double
 _ACEOF
 
 
-echo "$as_me:$LINENO: checking size of long int" >&5
-echo $ECHO_N "checking size of long int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
+echo "$as_me:$LINENO: checking if floating point datatypes are IEEE 754 compliant" >&5
+echo $ECHO_N "checking if floating point datatypes are IEEE 754 compliant... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include "confdefs.h"
-   #include <sys/types.h>
-
+union {
+        double testFP;
+        unsigned char bytes[sizeof(double)];
+} doubleTester;
+union {
+        float testFP;
+        unsigned char bytes[sizeof(float)];
+} floatTester;
 
 int
 main ()
 {
-switch (0) case 0: case (sizeof (long int) == $ac_size):;
+
+memset(&doubleTester, 0, sizeof(doubleTester));
+memset(&floatTester, 0, sizeof(floatTester));
+
+doubleTester.bytes[GRAS_BIGENDIAN ? sizeof(double) - 1 : 0]=192;
+doubleTester.bytes[GRAS_BIGENDIAN ? sizeof(double) - 2 : 1] =
+  (sizeof(double) == 4)  ? 128 :
+  (sizeof(double) == 8)  ? 16 :
+  (sizeof(double) == 16) ? 1 : 0;
+if (doubleTester.testFP != -4.0) return 1;
+
+floatTester.bytes[GRAS_BIGENDIAN ? sizeof(float) - 1 : 0]=192;
+floatTester.bytes[GRAS_BIGENDIAN ? sizeof(float) - 2 : 1] =
+  (sizeof(float) == 4)  ? 128 :
+  (sizeof(float) == 8)  ? 16 :
+  (sizeof(float) == 16) ? 1 : 0;
+if (floatTester.testFP != -4.0) return 1;
+
+return 0;
   ;
   return 0;
 }
@@ -20816,807 +20896,83 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_long_int=$ac_size
+  IEEE_FP=yes
+
+cat >>confdefs.h <<\_ACEOF
+#define IEEE_FP 1
+_ACEOF
+
+
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+IEEE_FP=no
+   { { echo "$as_me:$LINENO: error: GRAS works only for little or big endian systems (yet)" >&5
+echo "$as_me: error: GRAS works only for little or big endian systems (yet)" >&2;}
+   { (exit 1); exit 1; }; }
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_long_int != x ; then break; fi
-  done
-
-fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_extecho "$as_me:$LINENO: result: $IEEE_FP" >&5
+echo "${ECHO_T}$IEEE_FP" >&6
 
 
-unspecif=$ac_cv_sizeof_long_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for long int" >&5
-echo "$as_me: error: cannot determine a size for long int" >&2;}
+echo "$as_me:$LINENO: checking the GRAS signature of this architecture" >&5
+echo $ECHO_N "checking the GRAS signature of this architecture... $ECHO_C" >&6
+if test x$endian = x1 ; then
+  trace_endian=B
+else
+  trace_endian=l
+fi
+gras_arch=unknown
+trace="$trace_endian"
+trace="${trace}:${ac_cv_sizeof_char}.${ac_cv_sizeof_short_int}.${ac_cv_sizeof_int}.${ac_cv_sizeof_long_int}.${ac_cv_sizeof_long_long_int}"
+trace="${trace}:${ac_cv_sizeof_void_p}.${ac_cv_sizeof_void_LpR_LvoidR}"
+trace="${trace}:${ac_cv_sizeof_float}.${ac_cv_sizeof_double}"
+case $trace in
+  l:1.2.4.4.8:4.4:4.8) gras_arch=0; gras_arch_name=i386;;
+  B:1.2.4.4.8:4.4:4.8) gras_arch=1; gras_arch_name=ppc;;
+  B:1.2.4.8.8:8.8:4.8) gras_arch=2; gras_arch_name=sparc;;
+esac
+if test x$gras_arch = xunknown ; then
+  echo "$as_me:$LINENO: result: damnit ($trace)" >&5
+echo "${ECHO_T}damnit ($trace)" >&6
+  { { echo "$as_me:$LINENO: error: Impossible to determine the GRAS architecture signature.
+Please report this architecture trace ($trace) and what it corresponds to." >&5
+echo "$as_me: error: Impossible to determine the GRAS architecture signature.
+Please report this architecture trace ($trace) and what it corresponds to." >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: GRAS trace of this machine: $trace" >&5
+
+cat >>confdefs.h <<_ACEOF
+#define GRAS_THISARCH_NAME "$gras_arch_name"
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define GRAS_THISARCH $gras_arch
+_ACEOF
+
+echo "$as_me:$LINENO: result: $gras_arch ($gras_arch_name)" >&5
+echo "${ECHO_T}$gras_arch ($gras_arch_name)" >&6
 
-    if test "${ac_cv_sizeof_signed_long_int+set}" = set; then
+
+# Checks for header files.
+echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_long_int != x ; then break; fi
-  done
-
-fi
-
-
-signed=$ac_cv_sizeof_signed_long_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed long int" >&5
-echo "$as_me: error: cannot determine a size for signed long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long int' and 'long int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed long int' and 'long int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (unsigned long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_long_int != x ; then break; fi
-  done
-
-fi
-
-
-unsigned=$ac_cv_sizeof_unsigned_long_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned long int" >&5
-echo "$as_me: error: cannot determine a size for unsigned long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long int' and 'unsigned long int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed long int' and 'unsigned long int' have different sizes ! ($signed != $unsigned)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long_int" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_LONG_INT $ac_cv_sizeof_unsigned_long_int
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking size of long long int" >&5
-echo $ECHO_N "checking size of long long int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_long_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (long long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_long_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_long_long_int != x ; then break; fi
-  done
-
-fi
-
-
-unspecif=$ac_cv_sizeof_long_long_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for long long int" >&5
-echo "$as_me: error: cannot determine a size for long long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_signed_long_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed long long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_long_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_long_long_int != x ; then break; fi
-  done
-
-fi
-
-
-signed=$ac_cv_sizeof_signed_long_long_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed long long int" >&5
-echo "$as_me: error: cannot determine a size for signed long long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long long int' and 'long long int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed long long int' and 'long long int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_long_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (unsigned long long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_long_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_long_long_int != x ; then break; fi
-  done
-
-fi
-
-
-unsigned=$ac_cv_sizeof_unsigned_long_long_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned long long int" >&5
-echo "$as_me: error: cannot determine a size for unsigned long long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long long int' and 'unsigned long long int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed long long int' and 'unsigned long long int' have different sizes ! ($signed != $unsigned)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long_long_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long_long_int" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_LONG_LONG_INT $ac_cv_sizeof_unsigned_long_long_int
-_ACEOF
-
-
-
-
-echo "$as_me:$LINENO: checking size of void *" >&5
-echo $ECHO_N "checking size of void *... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_void_p+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (void *) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_void_p=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_void_p != x ; then break; fi
-  done
-
-fi
-
-
-if test x$ac_cv_sizeof_void_p = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for void *" >&5
-echo "$as_me: error: cannot determine a size for void *" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_void_p" >&5
-echo "${ECHO_T}$ac_cv_sizeof_void_p" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_VOID_P $ac_cv_sizeof_void_p
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking size of void (*) (void)" >&5
-echo $ECHO_N "checking size of void (*) (void)... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_void_LpR_LvoidR+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (void (*) (void)) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_void_LpR_LvoidR=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_void_LpR_LvoidR != x ; then break; fi
-  done
-
-fi
-
-
-if test x$ac_cv_sizeof_void_LpR_LvoidR = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for void (*) (void)" >&5
-echo "$as_me: error: cannot determine a size for void (*) (void)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_void_LpR_LvoidR" >&5
-echo "${ECHO_T}$ac_cv_sizeof_void_LpR_LvoidR" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_VOID__P___VOID_ $ac_cv_sizeof_void_LpR_LvoidR
-_ACEOF
-
-
-
-echo "$as_me:$LINENO: checking size of float" >&5
-echo $ECHO_N "checking size of float... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_float+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (float) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_float=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_float != x ; then break; fi
-  done
-
-fi
-
-
-if test x$ac_cv_sizeof_float = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for float" >&5
-echo "$as_me: error: cannot determine a size for float" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_float" >&5
-echo "${ECHO_T}$ac_cv_sizeof_float" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_FLOAT $ac_cv_sizeof_float
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking size of double" >&5
-echo $ECHO_N "checking size of double... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_double+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (double) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_double=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_double != x ; then break; fi
-  done
-
-fi
-
-
-if test x$ac_cv_sizeof_double = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for double" >&5
-echo "$as_me: error: cannot determine a size for double" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_double" >&5
-echo "${ECHO_T}$ac_cv_sizeof_double" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_DOUBLE $ac_cv_sizeof_double
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking if floating point datatypes are IEEE 754 compliant" >&5
-echo $ECHO_N "checking if floating point datatypes are IEEE 754 compliant... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-union {
-        double testFP;
-        unsigned char bytes[sizeof(double)];
-} doubleTester;
-union {
-        float testFP;
-        unsigned char bytes[sizeof(float)];
-} floatTester;
-
-int
-main ()
-{
-
-memset(&doubleTester, 0, sizeof(doubleTester));
-memset(&floatTester, 0, sizeof(floatTester));
-
-doubleTester.bytes[GRAS_BIGENDIAN ? sizeof(double) - 1 : 0]=192;
-doubleTester.bytes[GRAS_BIGENDIAN ? sizeof(double) - 2 : 1] =
-  (sizeof(double) == 4)  ? 128 :
-  (sizeof(double) == 8)  ? 16 :
-  (sizeof(double) == 16) ? 1 : 0;
-if (doubleTester.testFP != -4.0) return 1;
-
-floatTester.bytes[GRAS_BIGENDIAN ? sizeof(float) - 1 : 0]=192;
-floatTester.bytes[GRAS_BIGENDIAN ? sizeof(float) - 2 : 1] =
-  (sizeof(float) == 4)  ? 128 :
-  (sizeof(float) == 8)  ? 16 :
-  (sizeof(float) == 16) ? 1 : 0;
-if (floatTester.testFP != -4.0) return 1;
-
-return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  IEEE_FP=yes
-
-cat >>confdefs.h <<\_ACEOF
-#define IEEE_FP 1
-_ACEOF
-
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-IEEE_FP=no
-   { { echo "$as_me:$LINENO: error: GRAS works only for little or big endian systems (yet)" >&5
-echo "$as_me: error: GRAS works only for little or big endian systems (yet)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_extecho "$as_me:$LINENO: result: $IEEE_FP" >&5
-echo "${ECHO_T}$IEEE_FP" >&6
-
-
-echo "$as_me:$LINENO: checking the GRAS signature of this architecture" >&5
-echo $ECHO_N "checking the GRAS signature of this architecture... $ECHO_C" >&6
-if test x$endian = x1 ; then
-  trace_endian=B
-else
-  trace_endian=l
-fi
-gras_arch=unknown
-trace="$trace_endian"
-trace="${trace}:${ac_cv_sizeof_char}.${ac_cv_sizeof_short_int}.${ac_cv_sizeof_int}.${ac_cv_sizeof_long_int}.${ac_cv_sizeof_long_long_int}"
-trace="${trace}:${ac_cv_sizeof_void_p}.${ac_cv_sizeof_void_LpR_LvoidR}"
-trace="${trace}:${ac_cv_sizeof_float}.${ac_cv_sizeof_double}"
-case $trace in
-  l:1.2.4.4.8:4.4:4.8) gras_arch=0; gras_arch_name=i386;;
-  B:1.2.4.4.8:4.4:4.8) gras_arch=1; gras_arch_name=ppc;;
-esac
-if test x$gras_arch = xunknown ; then
-  echo "$as_me:$LINENO: result: damnit ($trace)" >&5
-echo "${ECHO_T}damnit ($trace)" >&6
-  { { echo "$as_me:$LINENO: error: Impossible to determine the GRAS architecture signature.
-Please report this architecture trace ($trace) and what it corresponds to." >&5
-echo "$as_me: error: Impossible to determine the GRAS architecture signature.
-Please report this architecture trace ($trace) and what it corresponds to." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-echo "$as_me:$LINENO: GRAS trace of this machine: $trace" >&5
-
-cat >>confdefs.h <<_ACEOF
-#define GRAS_THISARCH_NAME "$gras_arch_name"
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define GRAS_THISARCH $gras_arch
-_ACEOF
-
-echo "$as_me:$LINENO: result: $gras_arch ($gras_arch_name)" >&5
-echo "${ECHO_T}$gras_arch ($gras_arch_name)" >&6
-
-
-# Checks for header files.
-echo "$as_me:$LINENO: checking for ANSI C header files" >&5
-echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
-if test "${ac_cv_header_stdc+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <stdlib.h>
-#include <stdarg.h>
-#include <string.h>
-#include <float.h>
+#include <stdlib.h>
+#include <stdarg.h>
+#include <string.h>
+#include <float.h>
 
 int
 main ()
@@ -23148,9 +22504,7 @@ fi
 
        fi
        if test "x$aci_found" = "xno" ; then
-                                  { { echo "$as_me:$LINENO: error: Can't find the package SimGrid. Please install it, or if it is installed, tell me where with the --with-SimGrid argument (see ./configure --help=short)." >&5
-echo "$as_me: error: Can't find the package SimGrid. Please install it, or if it is installed, tell me where with the --with-SimGrid argument (see ./configure --help=short)." >&2;}
-   { (exit 1); exit 1; }; }
+                                  :
        else
                        HAVE_SimGrid="yes"
                echo >/dev/null
@@ -23170,6 +22524,16 @@ echo "$as_me: error: Can't find the package SimGrid. Please install it, or if it
 
 
 
+if test x$HAVE_SimGrid = xyes; then
+  HAVE_SG_TRUE=
+  HAVE_SG_FALSE='#'
+else
+  HAVE_SG_TRUE='#'
+  HAVE_SG_FALSE=
+fi
+
+
+
 echo "$as_me:$LINENO: checking whether to enable maintainer-specific portions of Makefiles" >&5
 echo $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6
     # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
 WARNING="This file is generated, do not edit"
 
 
-                                                                                                                                                                ac_config_files="$ac_config_files Makefile src/Makefile src/include/Makefile src/include/modules/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/run_tests src/base/Tests/trp_tcp_usage src/base/Tests/trp_file_usage src/modules/Makefile src/examples/Makefile src/examples/ping/Makefile src/examples/bandwidth/Makefile src/examples/saturate/Makefile src/examples/alnem/Makefile doc/Makefile"
+                                                                                                                        ac_config_files="$ac_config_files Makefile src/Makefile src/include/Makefile src/include/modules/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/run_tests src/base/Tests/trp_tcp_usage src/base/Tests/trp_file_usage src/examples/Makefile src/examples/ping/Makefile doc/Makefile"
+
 
+#    src/modules/Makefile
+#      src/examples/bandwidth/Makefile src/examples/saturate/Makefile
+#      src/examples/alnem/Makefile
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -23444,6 +22812,13 @@ echo "$as_me: error: conditional \"GTK_DOC_USE_LIBTOOL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${HAVE_SG_TRUE}" && test -z "${HAVE_SG_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_SG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_SG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -23722,7 +23097,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by GRAS $as_me 0.0.040304, which was
+This file was extended by GRAS $as_me 0.0.1, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -23785,7 +23160,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-GRAS config.status 0.0.040304
+GRAS config.status 0.0.1
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
   "src/base/Tests/run_tests" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/run_tests" ;;
   "src/base/Tests/trp_tcp_usage" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/trp_tcp_usage" ;;
   "src/base/Tests/trp_file_usage" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/trp_file_usage" ;;
-  "src/modules/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/modules/Makefile" ;;
   "src/examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/Makefile" ;;
   "src/examples/ping/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/ping/Makefile" ;;
-  "src/examples/bandwidth/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/bandwidth/Makefile" ;;
-  "src/examples/saturate/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/saturate/Makefile" ;;
-  "src/examples/alnem/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/alnem/Makefile" ;;
   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "src/gras_config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/gras_config.h" ;;
@@ -24026,6 +23397,7 @@ s,@install_sh@,$install_sh,;t t
 s,@STRIP@,$STRIP,;t t
 s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
 s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
+s,@mkdir_p@,$mkdir_p,;t t
 s,@AWK@,$AWK,;t t
 s,@SET_MAKE@,$SET_MAKE,;t t
 s,@am__leading_dot@,$am__leading_dot,;t t
@@ -24085,6 +23457,8 @@ s,@aci_pkg_extra_SimGrid@,$aci_pkg_extra_SimGrid,;t t
 s,@HAVE_SimGrid@,$HAVE_SimGrid,;t t
 s,@CFLAGS_SimGrid@,$CFLAGS_SimGrid,;t t
 s,@LIBS_SimGrid@,$LIBS_SimGrid,;t t
+s,@HAVE_SG_TRUE@,$HAVE_SG_TRUE,;t t
+s,@HAVE_SG_FALSE@,$HAVE_SG_FALSE,;t t
 s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
 s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
 s,@MAINT@,$MAINT,;t t
@@ -24376,11 +23750,6 @@ s,@INSTALL@,$ac_INSTALL,;t t
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
      test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
      chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/modules/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
     src/examples/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
      test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
@@ -24391,21 +23760,6 @@ s,@INSTALL@,$ac_INSTALL,;t t
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
      test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
      chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/bandwidth/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/saturate/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/alnem/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
     doc/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
      test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
@@ -24801,14 +24155,14 @@ echo X"$mf" |
   grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
   # Extract the definition of DEP_FILES from the Makefile without
   # running `make'.
-  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
+  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
   test -z "$DEPDIR" && continue
   # When using ansi2knr, U may be empty or an underscore; expand it
-  U=`sed -n -e '/^U = / s///p' < "$mf"`
+  U=`sed -n 's/^U = //p' < "$mf"`
   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
   # We invoke sed twice because it is the simplest approach to
   # changing $(DEPDIR) to its actual value in the expansion.
-  for file in `sed -n -e '
+  for file in `sed -n '
     /^DEP_FILES = .*\\\\$/ {
       s/^DEP_FILES = //
       :loop